Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(926)

Issue 1143443003: Fix MessageReader to pass errors to the channel (Closed)

Created:
5 years, 3 months ago by Sergey Ulanov
Modified:
5 years, 3 months ago
Reviewers:
rmsousa, Jamie
CC:
chromium-reviews, chromoting-reviews_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Fix MessageReader to pass errors to the channel Previously MessageReader was stopping reading after the first error, but wasn't notifying the client about the problem. This results in some errors (e.g. from SSL layer) being ignores while they should terminate connection. BUG=487451 Committed: https://crrev.com/a04c0468580e15cac8df104e63211e63c8589dda Cr-Commit-Position: refs/heads/master@{#329780}

Patch Set 1 : #

Total comments: 6

Patch Set 2 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+110 lines, -53 lines) Patch
M remoting/protocol/channel_dispatcher_base.h View 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/channel_dispatcher_base.cc View 1 chunk +7 lines, -4 lines 0 comments Download
M remoting/protocol/channel_multiplexer.h View 1 chunk +5 lines, -4 lines 0 comments Download
M remoting/protocol/channel_multiplexer.cc View 11 chunks +46 lines, -26 lines 0 comments Download
M remoting/protocol/client_video_dispatcher_unittest.cc View 3 chunks +8 lines, -1 line 0 comments Download
M remoting/protocol/message_reader.h View 1 2 chunks +6 lines, -2 lines 0 comments Download
M remoting/protocol/message_reader.cc View 1 3 chunks +25 lines, -9 lines 0 comments Download
M remoting/protocol/message_reader_unittest.cc View 4 chunks +12 lines, -6 lines 0 comments Download

Messages

Total messages: 12 (5 generated)
Sergey Ulanov
5 years, 3 months ago (2015-05-13 17:59:06 UTC) #4
Jamie
https://codereview.chromium.org/1143443003/diff/30001/remoting/protocol/channel_multiplexer.cc File remoting/protocol/channel_multiplexer.cc (right): https://codereview.chromium.org/1143443003/diff/30001/remoting/protocol/channel_multiplexer.cc#newcode343 remoting/protocol/channel_multiplexer.cc:343: // callbacks is enough. But you're only resetting one ...
5 years, 3 months ago (2015-05-13 18:25:18 UTC) #6
Sergey Ulanov
https://codereview.chromium.org/1143443003/diff/30001/remoting/protocol/channel_multiplexer.cc File remoting/protocol/channel_multiplexer.cc (right): https://codereview.chromium.org/1143443003/diff/30001/remoting/protocol/channel_multiplexer.cc#newcode343 remoting/protocol/channel_multiplexer.cc:343: // callbacks is enough. On 2015/05/13 18:25:17, Jamie wrote: ...
5 years, 3 months ago (2015-05-14 00:15:21 UTC) #7
Jamie
lgtm
5 years, 3 months ago (2015-05-14 00:31:32 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1143443003/50001
5 years, 3 months ago (2015-05-14 00:47:01 UTC) #10
commit-bot: I haz the power
Committed patchset #2 (id:50001)
5 years, 3 months ago (2015-05-14 01:48:47 UTC) #11
commit-bot: I haz the power
5 years, 3 months ago (2015-05-14 01:49:48 UTC) #12
Message was sent while issue was closed.
Patchset 2 (id:??) landed as
https://crrev.com/a04c0468580e15cac8df104e63211e63c8589dda
Cr-Commit-Position: refs/heads/master@{#329780}

Powered by Google App Engine
This is Rietveld 408576698